#ifndef VIVO_H
#define VIVO_H

/* Buttons */

#define BUTTON_PDIR PDDIR
#define BUTTON_PDATA PDDATA
#define BUTTON (1<<6)

/* LCD related */

#define MAX686_DAC_PDIR PFDIR
#define MAX686_DAC_PDATA PFDATA
#define MAX686_DAC_DOWN (1<<4)
#define MAX686_DAC_UP (1<<5)

#define MAX686_NLCDON_PDIR PDDIR
#define MAX686_NLCDON_PDATA PDDATA
#define MAX686_NLCDON (1<<7)

/* I think this one turns the LCD drivers on. */
#define LCD_SOMETHING_PDIR PFDIR
#define LCD_SOMETHING_PDATA PFDATA
#define LCD_SOMETHING (1<<6)

#define LCD_XDIM 160
#define LCD_YDIM 240

/* Touch screen */

#define BBADS7843_NCS_PDIR PBDIR
#define BBADS7843_NCS_PDATA PBDATA
#define BBADS7843_NCS (1<<6)

#define BBADS7843_IRQ_PDIR PFDIR
#define BBADS7843_IRQ_PDATA PFDATA
#define BBADS7843_IRQ (1<<1)

#define BBADS7843_SWITCHES_X 0b0010000
#define BBADS7843_SWITCHES_Y 0b1010000

#define TOUCH_XMAX 0x6c8
#define TOUCH_XMIN 0x21c

#define TOUCH_YMAX 0x70b
#define TOUCH_YMIN 0x148

#endif
